Skip to main content
`Ctrl`+`K`

# Phenom ELID format

The `.elid` file format is used by the software package Element Identification for the Thermo Fisher Scientific Phenom desktop SEMs. It is a proprietary binary format which can contain images, single EDS spectra, 1D line scan EDS spectra and 2D EDS spectrum maps. The reader will convert all signals and its metadata into dictionaries according to the RosettaSciIO API.

The current implementation supports `.elid` files created with Element Identification version 3.8.0 and later. You can convert older `.elid` files by loading the file into a recent Element Identification release and then save the `.elid` file into the newer file format.

## API functions

rsciio.phenom.file_reader(filename, lazy=False)

  Read a Phenom `.elid` file from the software Element Identification (>v3.8.0) used by the Thermo Fisher Scientific Phenom desktop SEMs.

  Parameters:
    filename `python:str`, `pathlib.Path`

      Filename of the file to read or corresponding pathlib.Path.

    lazy bool, default=False

      Lazy loading is not supported.

  Returns:
    `python:list` of `python:dict`

      List of dictionaries containing the following fields:

      - ‘data’ – multidimensional `numpy.ndarray` or `dask.array.Array`

      - ‘axes’ – list of dictionaries describing the axes containing the fields ‘name’, ‘units’, ‘index_in_array’, and either ‘size’, ‘offset’, and ‘scale’ or a numpy array ‘axis’ containing the full axes vector

      - ‘metadata’ – dictionary containing the parsed metadata

      - ‘original_metadata’ – dictionary containing the full metadata tree from the input file

      When the file contains several datasets, each dataset will be loaded as separate dictionary.